/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsSiteSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include <stdint.h>
const PRTime gPreloadListExpirationTime = INT64_C(1434798530136000);

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "accounts.firefox.com", true },
  { "accounts.google.com", true },
  { "aclu.org", false },
  { "activiti.alfresco.com", false },
  { "adamkostecki.de", true },
  { "addvocate.com", true },
  { "admin.google.com", true },
  { "adsfund.org", true },
  { "aie.de", true },
  { "aladdinschools.appspot.com", false },
  { "alexsexton.com", true },
  { "alpha.irccloud.com", false },
  { "ansdell.net", true },
  { "anycoin.me", true },
  { "apadvantage.com", true },
  { "api.intercom.io", false },
  { "api.lookout.com", false },
  { "api.simple.com", false },
  { "api.xero.com", false },
  { "apis.google.com", true },
  { "apn-einstellungen.de", true },
  { "app.lookout.com", false },
  { "app.manilla.com", true },
  { "app.recurly.com", true },
  { "app.simpletax.ca", false },
  { "app.yinxiang.com", false },
  { "appengine.google.com", true },
  { "archlinux.de", true },
  { "arivo.com.br", true },
  { "auf-feindgebiet.de", true },
  { "bank.simple.com", false },
  { "baruch.me", true },
  { "bassh.net", true },
  { "bayrisch-fuer-anfaenger.de", true },
  { "bccx.com", true },
  { "bcrook.com", false },
  { "beastowner.com", true },
  { "beastowner.li", true },
  { "bedeta.de", true },
  { "beneathvt.com", true },
  { "benjamins.com", true },
  { "best-wedding-quotes.com", true },
  { "bitbucket.org", false },
  { "bitfactory.ws", true },
  { "bl4ckb0x.com", true },
  { "bl4ckb0x.de", true },
  { "bl4ckb0x.info", true },
  { "bl4ckb0x.net", true },
  { "bl4ckb0x.org", true },
  { "blacklane.com", true },
  { "blocksatz-medien.de", true },
  { "blog.cyveillance.com", true },
  { "blog.gparent.org", true },
  { "blog.linode.com", false },
  { "blog.torproject.org", false },
  { "bohramt.de", true },
  { "boxcryptor.com", true },
  { "brunosouza.org", true },
  { "buddhistische-weisheiten.org", true },
  { "bugzil.la", true },
  { "bugzilla.mozilla.org", true },
  { "business.lookout.com", false },
  { "bytepark.de", false },
  { "ca.gparent.org", false },
  { "carezone.com", false },
  { "cartouche24.eu", true },
  { "cartucce24.it", true },
  { "celltek-server.de", false },
  { "certible.com", true },
  { "check.torproject.org", false },
  { "checkout.google.com", true },
  { "chrome-devtools-frontend.appspot.com", true },
  { "chrome.google.com", true },
  { "chromiumcodereview.appspot.com", false },
  { "clapping-rhymes.com", true },
  { "cloud.google.com", true },
  { "cloudcert.org", true },
  { "cloudns.com.au", true },
  { "cloudsecurityalliance.org", true },
  { "cloudup.com", true },
  { "code-poets.co.uk", true },
  { "code.google.com", true },
  { "codereview.appspot.com", false },
  { "codereview.chromium.org", true },
  { "config.schokokeks.org", false },
  { "conformal.com", true },
  { "conrad-kostecki.de", true },
  { "controlcenter.gigahost.dk", true },
  { "crm.onlime.ch", false },
  { "crypto.cat", false },
  { "cryptopartyatx.org", true },
  { "cube.de", true },
  { "cupcake.io", true },
  { "cupcake.is", true },
  { "cybershambles.com", true },
  { "cybozu.com", true },
  { "cyphertite.com", true },
  { "daphne.informatik.uni-freiburg.de", true },
  { "data-abundance.com", true },
  { "data.qld.gov.au", false },
  { "datenkeks.de", true },
  { "davidlyness.com", true },
  { "dedimax.de", true },
  { "derhil.de", true },
  { "detectify.com", false },
  { "developer.mydigipass.com", false },
  { "die-besten-weisheiten.de", true },
  { "dillonkorman.com", true },
  { "dist.torproject.org", false },
  { "dl.google.com", true },
  { "dm.lookout.com", false },
  { "dm.mylookout.com", false },
  { "docs.google.com", true },
  { "docs.python.org", true },
  { "domains.google.com", true },
  { "donmez.ws", false },
  { "drive.google.com", true },
  { "dropbox.com", true },
  { "ebanking.indovinabank.com.vn", false },
  { "ecosystem.atlassian.net", true },
  { "edyou.eu", true },
  { "eff.org", true },
  { "emailprivacytester.com", true },
  { "encircleapp.com", true },
  { "encrypted.google.com", true },
  { "energy-drink-magazin.de", true },
  { "entropia.de", false },
  { "errors.zenpayroll.com", false },
  { "espra.com", true },
  { "ethitter.com", true },
  { "eurotramp.com", true },
  { "explodie.org", true },
  { "f-droid.org", true },
  { "factor.cc", false },
  { "fairbill.com", true },
  { "faq.lookout.com", false },
  { "feedbin.com", false },
  { "ferienhaus-polchow-ruegen.de", false },
  { "fiken.no", true },
  { "firemail.io", true },
  { "fischer-its.com", true },
  { "fj.simple.com", false },
  { "flynn.io", true },
  { "forewordreviews.com", true },
  { "forodeespanol.com", true },
  { "forum.linode.com", false },
  { "forum.quantifiedself.com", true },
  { "freeshell.de", true },
  { "gemeinfreie-lieder.de", true },
  { "gernert-server.de", true },
  { "get.zenpayroll.com", false },
  { "getcloak.com", false },
  { "getdigitized.net", true },
  { "giacomopelagatti.it", true },
  { "glass.google.com", true },
  { "globuli-info.de", true },
  { "gmail.com", false },
  { "gmantra.org", true },
  { "go.xero.com", false },
  { "gocardless.com", true },
  { "googlemail.com", false },
  { "googleplex.com", true },
  { "goto.google.com", true },
  { "grc.com", false },
  { "greensolid.biz", true },
  { "grepular.com", true },
  { "groups.google.com", true },
  { "guphi.net", true },
  { "guthabenkarten-billiger.de", true },
  { "hackerone.com", true },
  { "harvestapp.com", true },
  { "hasilocke.de", true },
  { "haste.ch", true },
  { "haufschild.de", true },
  { "hausverbrauch.de", true },
  { "heha.co", false },
  { "helichat.de", true },
  { "help.simpletax.ca", false },
  { "helpium.de", true },
  { "hex2013.com", true },
  { "history.google.com", true },
  { "hostedtalkgadget.google.com", true },
  { "hostinginnederland.nl", true },
  { "hostix.de", true },
  { "howrandom.org", true },
  { "iban.is", true },
  { "id.atlassian.com", true },
  { "id.mayfirst.org", false },
  { "ihrlotto.de", true },
  { "imouto.my", false },
  { "in.xero.com", false },
  { "irische-segenswuensche.info", true },
  { "isitchristmas.com", true },
  { "it-schwerin.de", true },
  { "jackyyf.com", false },
  { "janoberst.com", true },
  { "janus-engineering.de", true },
  { "jelmer.co.uk", true },
  { "jelmer.uk", true },
  { "jfreitag.de", true },
  { "jitsi.org", false },
  { "jonas-keidel.de", true },
  { "jonaswitmer.ch", true },
  { "julian-kipka.de", true },
  { "k-dev.de", true },
  { "kardize24.pl", true },
  { "keeperapp.com", true },
  { "keepersecurity.com", true },
  { "kernel-error.de", true },
  { "keyerror.com", true },
  { "kinderbuecher-kostenlos.de", true },
  { "kinsights.com", false },
  { "kitsta.com", true },
  { "klatschreime.de", true },
  { "klaxn.com", true },
  { "kleidertauschpartys.de", true },
  { "konklone.com", true },
  { "koop-bremen.de", true },
  { "koordinate.net", true },
  { "kraken.io", true },
  { "kura.io", true },
  { "lagerauftrag.info", true },
  { "lasst-uns-beten.de", true },
  { "lastpass.com", false },
  { "launchkey.com", true },
  { "lavalite.de", true },
  { "lb-toner.de", true },
  { "ledgerscope.net", false },
  { "linode.com", false },
  { "linx.net", true },
  { "lockify.com", true },
  { "loenshotel.de", true },
  { "loftboard.eu", true },
  { "logentries.com", false },
  { "login.corp.google.com", true },
  { "login.persona.org", true },
  { "login.sapo.pt", true },
  { "login.xero.com", false },
  { "lolicore.ch", true },
  { "lookout.com", false },
  { "ludwig.im", true },
  { "lumi.do", false },
  { "luneta.nearbuysystems.com", false },
  { "mach-politik.ch", true },
  { "mail.de", true },
  { "mail.google.com", true },
  { "mailbox.org", true },
  { "makeyourlaws.org", true },
  { "malnex.de", true },
  { "manage.zenpayroll.com", false },
  { "manageprojects.com", true },
  { "manager.linode.com", false },
  { "mandala-ausmalbilder.de", true },
  { "market.android.com", true },
  { "markusueberallassetmanagement.de", true },
  { "mathiasbynens.be", true },
  { "mattmccutchen.net", true },
  { "mbp.banking.co.at", false },
  { "mediacru.sh", true },
  { "medium.com", true },
  { "mega.co.nz", false },
  { "members.mayfirst.org", false },
  { "members.nearlyfreespeech.net", false },
  { "mig5.net", true },
  { "mikewest.org", true },
  { "miku.hatsune.my", false },
  { "miskatonic.org", true },
  { "mnsure.org", true },
  { "mobile.usaa.com", false },
  { "mondwandler.de", true },
  { "mountainroseherbs.com", true },
  { "movlib.org", true },
  { "mudcrab.us", true },
  { "munich-rage.de", true },
  { "musicgamegalaxy.de", true },
  { "mutantmonkey.sexy", true },
  { "mwe.st", true },
  { "my.onlime.ch", false },
  { "my.xero.com", false },
  { "mylookout.com", false },
  { "mynigma.org", true },
  { "nachsenden.info", true },
  { "neg9.org", false },
  { "neilwynne.com", false },
  { "netzbit.de", true },
  { "ng-security.com", true },
  { "npw.net", true },
  { "onedrive.com", true },
  { "onedrive.live.com", false },
  { "oplop.appspot.com", true },
  { "opsmate.com", false },
  { "optimus.io", true },
  { "otakuworld.de", true },
  { "oversight.io", true },
  { "p.linode.com", false },
  { "packagist.org", false },
  { "pajonzeck.de", true },
  { "palava.tv", true },
  { "passport.yandex.by", true },
  { "passport.yandex.com", true },
  { "passport.yandex.com.tr", true },
  { "passport.yandex.kz", true },
  { "passport.yandex.ru", true },
  { "passport.yandex.ua", true },
  { "passwd.io", true },
  { "paste.linode.com", false },
  { "pastebin.linode.com", false },
  { "pay.gigahost.dk", true },
  { "paymill.com", true },
  { "paymill.de", true },
  { "paypal.com", false },
  { "payroll.xero.com", false },
  { "pdf.yt", true },
  { "picksin.club", true },
  { "pierre-schmitz.com", true },
  { "pixi.me", true },
  { "play.google.com", false },
  { "plus.google.com", false },
  { "plus.sandbox.google.com", false },
  { "portal.tirol.gv.at", true },
  { "posteo.de", false },
  { "profiles.google.com", true },
  { "projektzentrisch.de", true },
  { "prowhisky.de", true },
  { "pubkey.is", true },
  { "publications.qld.gov.au", false },
  { "pult.co", false },
  { "pypi.python.org", true },
  { "python.org", false },
  { "qetesh.de", true },
  { "rad-route.de", true },
  { "raiseyourflag.com", true },
  { "redports.org", true },
  { "reedloden.com", true },
  { "reserve-online.net", true },
  { "reviews.anime.my", true },
  { "riccy.org", true },
  { "riesenmagnete.de", true },
  { "rippleunion.com", true },
  { "romab.com", true },
  { "rosenkeller.org", true },
  { "roundcube.mayfirst.org", false },
  { "rws-vertriebsportal.de", true },
  { "s-c.se", true },
  { "sakaki.anime.my", true },
  { "salaervergleich.com", true },
  { "sandbox.mydigipass.com", false },
  { "schokokeks.org", false },
  { "schwarzer.it", true },
  { "scrambl.is", true },
  { "script.google.com", true },
  { "sdsl-speedtest.de", true },
  { "security-carpet.com", true },
  { "security.google.com", true },
  { "securityheaders.com", true },
  { "secuvera.de", true },
  { "seifried.org", true },
  { "servethecity-karlsruhe.de", true },
  { "sherbers.de", true },
  { "shodan.io", true },
  { "silentcircle.com", false },
  { "simbolo.co.uk", false },
  { "simple.com", false },
  { "simpletax.ca", false },
  { "simplystudio.com", true },
  { "sites.google.com", true },
  { "skydrive.live.com", false },
  { "spreadsheets.google.com", true },
  { "sprueche-zum-valentinstag.de", true },
  { "sprueche-zur-geburt.info", true },
  { "sprueche-zur-hochzeit.de", true },
  { "sprueche-zur-konfirmation.de", true },
  { "squareup.com", false },
  { "ssl.google-analytics.com", true },
  { "stage.wepay.com", false },
  { "static.wepay.com", false },
  { "stationary-traveller.eu", true },
  { "stocktrade.de", false },
  { "stripe.com", true },
  { "strongest-privacy.com", true },
  { "studydrive.net", true },
  { "subrosa.io", true },
  { "supplies24.at", true },
  { "supplies24.es", true },
  { "support.mayfirst.org", false },
  { "surkatty.org", true },
  { "tageau.com", true },
  { "talk.google.com", true },
  { "talkgadget.google.com", true },
  { "tatort-fanpage.de", true },
  { "tent.io", true },
  { "texte-zur-taufe.de", true },
  { "thepaymentscompany.com", true },
  { "therapynotes.com", false },
  { "tinfoilsecurity.com", false },
  { "tinte24.de", true },
  { "tintenfix.net", true },
  { "tipps-fuer-den-haushalt.de", true },
  { "tittelbach.at", true },
  { "tomfisher.eu", true },
  { "toner24.at", true },
  { "toner24.co.uk", true },
  { "toner24.es", true },
  { "toner24.fr", true },
  { "toner24.it", true },
  { "toner24.nl", true },
  { "toner24.pl", true },
  { "tonerdepot.de", true },
  { "tonerjet.at", true },
  { "tonerjet.co.uk", true },
  { "tonerklick.de", true },
  { "tonerkurier.de", true },
  { "tonermaus.de", true },
  { "tonermonster.de", true },
  { "tonex.de", true },
  { "tonex.nl", true },
  { "torproject.org", false },
  { "translate.googleapis.com", true },
  { "trauertexte.info", true },
  { "tunebitfm.de", true },
  { "twitter.com", false },
  { "ub3rk1tten.com", true },
  { "ubertt.org", true },
  { "ukrainians.ch", true },
  { "unterfrankenclan.de", true },
  { "usaa.com", false },
  { "vmoagents.com", false },
  { "vocaloid.my", true },
  { "w-spotlight.appspot.com", true },
  { "wallet.google.com", true },
  { "webandmore.de", false },
  { "webcollect.org.uk", true },
  { "webfilings-eu-mirror.appspot.com", true },
  { "webfilings-eu.appspot.com", true },
  { "webfilings-mirror-hrd.appspot.com", true },
  { "webfilings.appspot.com", true },
  { "webmail.gigahost.dk", false },
  { "webmail.onlime.ch", false },
  { "webmail.schokokeks.org", false },
  { "websenat.de", true },
  { "welches-kinderfahrrad.de", true },
  { "wepay.com", false },
  { "wf-bigsky-master.appspot.com", true },
  { "wf-demo-eu.appspot.com", true },
  { "wf-demo-hrd.appspot.com", true },
  { "wf-dogfood-hrd.appspot.com", true },
  { "wf-pentest.appspot.com", true },
  { "wf-staging-hr.appspot.com", true },
  { "wf-training-hrd.appspot.com", true },
  { "wf-training-master.appspot.com", true },
  { "wf-trial-hrd.appspot.com", true },
  { "wiki.python.org", true },
  { "wildbee.org", true },
  { "winhistory-forum.net", true },
  { "writeapp.me", false },
  { "wunderlist.com", true },
  { "www.aclu.org", false },
  { "www.airbnb.com", true },
  { "www.apollo-auto.com", true },
  { "www.banking.co.at", false },
  { "www.braintreepayments.com", false },
  { "www.capitainetrain.com", false },
  { "www.cyveillance.com", true },
  { "www.dropbox.com", true },
  { "www.dropcam.com", false },
  { "www.entropia.de", false },
  { "www.eternalgoth.co.uk", true },
  { "www.evernote.com", false },
  { "www.gamesdepartment.co.uk", false },
  { "www.getcloak.com", false },
  { "www.gmail.com", false },
  { "www.googlemail.com", false },
  { "www.gov.uk", false },
  { "www.grc.com", false },
  { "www.heliosnet.com", true },
  { "www.intercom.io", false },
  { "www.irccloud.com", false },
  { "www.lastpass.com", false },
  { "www.ledgerscope.net", false },
  { "www.linode.com", false },
  { "www.lookout.com", false },
  { "www.makeyourlaws.org", true },
  { "www.mydigipass.com", false },
  { "www.mylookout.com", false },
  { "www.noisebridge.net", false },
  { "www.opsmate.com", true },
  { "www.paypal.com", false },
  { "www.python.org", true },
  { "www.roddis.net", true },
  { "www.schokokeks.org", false },
  { "www.simbolo.co.uk", false },
  { "www.simple.com", false },
  { "www.therapynotes.com", false },
  { "www.tinfoilsecurity.com", false },
  { "www.torproject.org", false },
  { "www.twitter.com", false },
  { "www.usaa.com", false },
  { "www.wepay.com", false },
  { "www.zenpayroll.com", false },
  { "xbrlsuccess.appspot.com", true },
  { "xps2pdf.co.uk", true },
  { "y-o-w.com", true },
  { "z.ai", true },
  { "zenpayroll.com", false },
  { "zeropush.com", true },
};
